#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 extra
version:              1.7.10
visibility:           public
id:                   extra-1.7.10-D0X0cAKjJWaCNa3XbLaqkr
key:                  extra-1.7.10-D0X0cAKjJWaCNa3XbLaqkr
license:              BSD-3-Clause
copyright:            Neil Mitchell 2014-2021
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://github.com/ndmitchell/extra#readme
synopsis:             Extra functions I use.
description:
    A library of extra functions for the standard Haskell libraries. Most functions are simple additions, filling out missing functionality. A few functions are available in later versions of GHC, but this package makes them available back to GHC 7.2.

    The module "Extra" documents all functions provided by this library. Modules such as "Data.List.Extra" provide extra functions over "Data.List" and also reexport "Data.List". Users are recommended to replace "Data.List" imports with "Data.List.Extra" if they need the extra functionality.

category:             Development
abi:                  b0b943d2955eb050edf3dbe1a16b8cd3
exposed:              True
exposed-modules:
    Control.Concurrent.Extra Control.Exception.Extra
    Control.Monad.Extra Data.Either.Extra Data.Foldable.Extra
    Data.IORef.Extra Data.List.Extra Data.List.NonEmpty.Extra
    Data.Tuple.Extra Data.Typeable.Extra Data.Version.Extra Extra
    Numeric.Extra System.Directory.Extra System.Environment.Extra
    System.IO.Extra System.Info.Extra System.Process.Extra
    System.Time.Extra Text.Read.Extra

hidden-modules:       Partial
import-dirs:          /usr/lib/ghc-9.0.1/site-local/extra-1.7.10
library-dirs:         /usr/lib/ghc-9.0.1/site-local/extra-1.7.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/extra-1.7.10
hs-libraries:         HSextra-1.7.10-D0X0cAKjJWaCNa3XbLaqkr
depends:
    base-4.15.0.0 clock-0.8.2-7t5eaEvPM1cF0r7mh7iGaY directory-1.3.6.1
    filepath-1.4.2.1 process-1.6.11.0 time-1.9.3 unix-2.7.2.2

haddock-interfaces:   /usr/share/doc/haskell-extra/html/extra.haddock
haddock-html:         /usr/share/doc/haskell-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

